<template>
  <div>
    <h1>Comentarios</h1>
    <Formulari @comment-submitted="addComment" />
    <Enviat :comments="comments" />
  </div>
</template>

<script lang="ts">
import Formulari from '@/components/Formulari.vue';
import Enviat from '@/components/Enviat.vue';

export default {
  components: {
    Formulari,
    Enviat,
  },
  data() {
    return {
      comments: [] as { name: string; text: string; date: string }[],
    };
  },
  methods: {
    addComment(comment: { name: string; text: string; date: string }) {
      this.comments.push(comment);
    },
  },
};
</script>

<style>
img {
  width: 50px;
}
</style>